指定文本的方向。 支持的平台:仅窗口 属性值只读:不 类型:布尔
言论没有额外的评论。 例子工 务 局: Sub Example_Backward() ' This example creates a text object in model space and ' uses the Backward property to flip the text horizontally Dim textObj As AcadText Dim textString As String Dim insertionPoint(0 To 2) As Double Dim height As Double ' Define the new Text object textString = "Hello, World." insertionPoint(0) = 3: insertionPoint(1) = 3: insertionPoint(2) = 0 height = 0.5 ' Create the Text object in model space Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, height) ThisDrawing.Application.ZoomAll MsgBox "The Text oject is now forward" textObj.Backward = True ThisDrawing.Regen acActiveViewport MsgBox "The Text object is now backward" End Sub Visual LISP: (vl-load-com) (defun c:Example_Backward() ;; This example creates a text object in model space and ;; uses the Backward property to flip the text horizontally (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the new Text object (setq insertionPoint (vlax-3d-point 3 3 0) textString "Hello, World." height 0.5) ;; Create the Text object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq textObj (vla-AddText modelSpace textString insertionPoint height)) (vla-ZoomAll acadObj) (alert "The Text oject is now forward.") (vla-put-Backward textObj :vlax-true) (vla-Regen doc acActiveViewport) (alert "The Text object is now backward.") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:21
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.